#ifndef ROBOT_SERVER_H
#define ROBOT_SERVER_H

#include <list>
#include <Message.h>
#include <Robot.h>

 
class Robot_impl : virtual public POA_Robot
{
 
public:
  Message *Msg_ptr;
  Robot_impl( Message *msg_ptr);
  ~Robot_impl(void);
  CORBA::Long put_command( const CORBA::Any& any_command );  
  CORBA::Long get_info( CORBA::Any& any_info );
};


#endif
